Return wallets linked to a subaccount
curl --request GET \
--url https://api.anchorage-staging.com/v2/subaccounts/accounts/{subaccountId}/wallets \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/subaccounts/accounts/{subaccountId}/wallets"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/subaccounts/accounts/{subaccountId}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"networkId": "<string>",
"walletId": "<string>"
}
]
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Return wallets linked to a subaccount
Permissions required: Subaccount or Read Subaccount
Return wallets linked to a subaccount
GET
/
subaccounts
/
accounts
/
{subaccountId}
/
wallets
Return wallets linked to a subaccount
curl --request GET \
--url https://api.anchorage-staging.com/v2/subaccounts/accounts/{subaccountId}/wallets \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/subaccounts/accounts/{subaccountId}/wallets"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/subaccounts/accounts/{subaccountId}/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"networkId": "<string>",
"walletId": "<string>"
}
]
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
Unique Identifier for the subaccount
Query Parameters
Response
Successfully returned linked wallets
Show child attributes
Show child attributes
Was this page helpful?